Bug 906671 - rhc app tidy did not actually clean up log files of ruby-1.8 and ruby-1.9
rhc app tidy did not actually clean up log files of ruby-1.8 and ruby-1.9
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 02:36 EST by chunchen
Modified: 2015-05-14 19:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: devenv_2760+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:50:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-02-01 02:36:58 EST
Description of problem:
run 'rhc app tidy' against an application of ruby-1.8 and ruby-1.9, the log files is not cleaned up, only clean up tmp files.

Version-Release number of selected component (if applicable):
on devenv_2756
rhc-1.4.3

How reproducible:
Always

Steps to Reproduce:
1. Create a ruby application 
rhc app create ruby800 ruby-1.8
2. Ssh into app's gear, create log files
touch ${OPENSHIFT_RUBY_LOG_DIR}test.log
3. Clean up application with rhc 
rhc app tidy ruby800
  
Actual results:
RESULT:
ruby800 cleaned up

But log files are still present
[ruby800-ddy.dev.rhcloud.com ~]\> ls ${OPENSHIFT_RUBY_LOG_DIR}
production.log  error_log-20130201-000000-EST access_log-20130201-000000-EST  test.log

Expected results:
log files should be cleaned up

Additional info:
the following app type can work well:
perl-5.10
php-5.3
jbossas-7
jbosseap-6.0
Comment 1 openshift-github-bot 2013-02-01 11:21:31 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d3f009fed84acaf60305f0cd071aec79ceb98c3a
Bug 906671: Fix log location in Ruby tidy hook

Fix the Ruby tidy hooks to clean logs from the correct location.

Resolve https://bugzilla.redhat.com/show_bug.cgi?id=906671.
Comment 2 chunchen 2013-02-03 21:15:02 EST
Verified on devenv_2765, they work well now.

Note You need to log in before you can comment on or make changes to this bug.